<?php
use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDiagnosticParameter ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfDiagnosticParameter
 * @subpackage Arrays
 */
class ArrayOfDiagnosticParameter extends AbstractStructArrayBase
{
    /**
     * The DiagnosticParameter
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var DiagnosticParameter[]
     */
    public $DiagnosticParameter;
    /**
     * Constructor method for ArrayOfDiagnosticParameter
     * @uses ArrayOfDiagnosticParameter::setDiagnosticParameter()
     * @param DiagnosticParameter[] $diagnosticParameter
     */
    public function __construct(array $diagnosticParameter = array())
    {
        $this
            ->setDiagnosticParameter($diagnosticParameter);
    }
    /**
     * Get DiagnosticParameter value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return DiagnosticParameter[]|null
     */
    public function getDiagnosticParameter()
    {
        return isset($this->DiagnosticParameter) ? $this->DiagnosticParameter : null;
    }
    /**
     * Set DiagnosticParameter value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param DiagnosticParameter[] $diagnosticParameter
     * @return ArrayOfDiagnosticParameter
     */
    public function setDiagnosticParameter(array $diagnosticParameter = array())
    {
        if (is_null($diagnosticParameter) || (is_array($diagnosticParameter) && empty($diagnosticParameter))) {
            unset($this->DiagnosticParameter);
        } else {
            $this->DiagnosticParameter = $diagnosticParameter;
        }
        return $this;
    }
    /**
     * Add item to DiagnosticParameter value
     * @throws \InvalidArgumentException
     * @param DiagnosticParameter $item
     * @return ArrayOfDiagnosticParameter
     */
    public function addToDiagnosticParameter(DiagnosticParameter $item)
    {
        $this->DiagnosticParameter[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return DiagnosticParameter|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return DiagnosticParameter|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return DiagnosticParameter|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return DiagnosticParameter|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return DiagnosticParameter|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DiagnosticParameter
     */
    public function getAttributeName()
    {
        return 'DiagnosticParameter';
    }
}
