<?php
use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDocumentStatusBatchType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfDocumentStatusBatchType
 * @subpackage Arrays
 */
class ArrayOfDocumentStatusBatchType extends AbstractStructArrayBase
{
    /**
     * The DocumentStatusBatchType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var DocumentStatusBatchType[]
     */
    public $DocumentStatusBatchType;
    /**
     * Constructor method for ArrayOfDocumentStatusBatchType
     * @uses ArrayOfDocumentStatusBatchType::setDocumentStatusBatchType()
     * @param DocumentStatusBatchType[] $documentStatusBatchType
     */
    public function __construct(array $documentStatusBatchType = array())
    {
        $this
            ->setDocumentStatusBatchType($documentStatusBatchType);
    }
    /**
     * Get DocumentStatusBatchType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return DocumentStatusBatchType[]|null
     */
    public function getDocumentStatusBatchType()
    {
        return isset($this->DocumentStatusBatchType) ? $this->DocumentStatusBatchType : null;
    }
    /**
     * Set DocumentStatusBatchType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param DocumentStatusBatchType[] $documentStatusBatchType
     * @return ArrayOfDocumentStatusBatchType
     */
    public function setDocumentStatusBatchType(array $documentStatusBatchType = array())
    {
        if (is_null($documentStatusBatchType) || (is_array($documentStatusBatchType) && empty($documentStatusBatchType))) {
            unset($this->DocumentStatusBatchType);
        } else {
            $this->DocumentStatusBatchType = $documentStatusBatchType;
        }
        return $this;
    }
    /**
     * Add item to DocumentStatusBatchType value
     * @throws \InvalidArgumentException
     * @param DocumentStatusBatchType $item
     * @return ArrayOfDocumentStatusBatchType
     */
    public function addToDocumentStatusBatchType(DocumentStatusBatchType $item)
    {
        $this->DocumentStatusBatchType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return DocumentStatusBatchType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return DocumentStatusBatchType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return DocumentStatusBatchType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return DocumentStatusBatchType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return DocumentStatusBatchType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DocumentStatusBatchType
     */
    public function getAttributeName()
    {
        return 'DocumentStatusBatchType';
    }
}
