<?php
use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfMailStatusDetail ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfMailStatusDetail
 * @subpackage Arrays
 */
class ArrayOfMailStatusDetail extends AbstractStructArrayBase
{
    /**
     * The MailStatusDetail
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var MailStatusDetail[]
     */
    public $MailStatusDetail;
    /**
     * Constructor method for ArrayOfMailStatusDetail
     * @uses ArrayOfMailStatusDetail::setMailStatusDetail()
     * @param MailStatusDetail[] $mailStatusDetail
     */
    public function __construct(array $mailStatusDetail = array())
    {
        $this
            ->setMailStatusDetail($mailStatusDetail);
    }
    /**
     * Get MailStatusDetail value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return MailStatusDetail[]|null
     */
    public function getMailStatusDetail()
    {
        return isset($this->MailStatusDetail) ? $this->MailStatusDetail : null;
    }
    /**
     * Set MailStatusDetail value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param MailStatusDetail[] $mailStatusDetail
     * @return ArrayOfMailStatusDetail
     */
    public function setMailStatusDetail(array $mailStatusDetail = array())
    {
        if (is_null($mailStatusDetail) || (is_array($mailStatusDetail) && empty($mailStatusDetail))) {
            unset($this->MailStatusDetail);
        } else {
            $this->MailStatusDetail = $mailStatusDetail;
        }
        return $this;
    }
    /**
     * Add item to MailStatusDetail value
     * @throws \InvalidArgumentException
     * @param MailStatusDetail $item
     * @return ArrayOfMailStatusDetail
     */
    public function addToMailStatusDetail(MailStatusDetail $item)
    {
        $this->MailStatusDetail[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return MailStatusDetail|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return MailStatusDetail|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return MailStatusDetail|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return MailStatusDetail|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return MailStatusDetail|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string MailStatusDetail
     */
    public function getAttributeName()
    {
        return 'MailStatusDetail';
    }
}
