<?php
use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfMailStatusResult ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfMailStatusResult
 * @subpackage Arrays
 */
class ArrayOfMailStatusResult extends AbstractStructArrayBase
{
    /**
     * The MailStatusResult
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var MailStatusResult[]
     */
    public $MailStatusResult;
    /**
     * Constructor method for ArrayOfMailStatusResult
     * @uses ArrayOfMailStatusResult::setMailStatusResult()
     * @param MailStatusResult[] $mailStatusResult
     */
    public function __construct(array $mailStatusResult = array())
    {
        $this
            ->setMailStatusResult($mailStatusResult);
    }
    /**
     * Get MailStatusResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return MailStatusResult[]|null
     */
    public function getMailStatusResult()
    {
        return isset($this->MailStatusResult) ? $this->MailStatusResult : null;
    }
    /**
     * Set MailStatusResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param MailStatusResult[] $mailStatusResult
     * @return ArrayOfMailStatusResult
     */
    public function setMailStatusResult(array $mailStatusResult = array())
    {
        if (is_null($mailStatusResult) || (is_array($mailStatusResult) && empty($mailStatusResult))) {
            unset($this->MailStatusResult);
        } else {
            $this->MailStatusResult = $mailStatusResult;
        }
        return $this;
    }
    /**
     * Add item to MailStatusResult value
     * @throws \InvalidArgumentException
     * @param MailStatusResult $item
     * @return ArrayOfMailStatusResult
     */
    public function addToMailStatusResult(MailStatusResult $item)
    {
        $this->MailStatusResult[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return MailStatusResult|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return MailStatusResult|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return MailStatusResult|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return MailStatusResult|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return MailStatusResult|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string MailStatusResult
     */
    public function getAttributeName()
    {
        return 'MailStatusResult';
    }
}
