<?php
use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfReconInvoiceType ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfReconInvoiceType
 * @subpackage Arrays
 */
class ArrayOfReconInvoiceType extends AbstractStructArrayBase
{
    /**
     * The ReconInvoiceType
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var ReconInvoiceType[]
     */
    public $ReconInvoiceType;
    /**
     * Constructor method for ArrayOfReconInvoiceType
     * @uses ArrayOfReconInvoiceType::setReconInvoiceType()
     * @param ReconInvoiceType[] $reconInvoiceType
     */
    public function __construct(array $reconInvoiceType = array())
    {
        $this
            ->setReconInvoiceType($reconInvoiceType);
    }
    /**
     * Get ReconInvoiceType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return ReconInvoiceType[]|null
     */
    public function getReconInvoiceType()
    {
        return isset($this->ReconInvoiceType) ? $this->ReconInvoiceType : null;
    }
    /**
     * Set ReconInvoiceType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param ReconInvoiceType[] $reconInvoiceType
     * @return ArrayOfReconInvoiceType
     */
    public function setReconInvoiceType(array $reconInvoiceType = array())
    {
        if (is_null($reconInvoiceType) || (is_array($reconInvoiceType) && empty($reconInvoiceType))) {
            unset($this->ReconInvoiceType);
        } else {
            $this->ReconInvoiceType = $reconInvoiceType;
        }
        return $this;
    }
    /**
     * Add item to ReconInvoiceType value
     * @throws \InvalidArgumentException
     * @param ReconInvoiceType $item
     * @return ArrayOfReconInvoiceType
     */
    public function addToReconInvoiceType(ReconInvoiceType $item)
    {
        $this->ReconInvoiceType[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return ReconInvoiceType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return ReconInvoiceType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return ReconInvoiceType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return ReconInvoiceType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return ReconInvoiceType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ReconInvoiceType
     */
    public function getAttributeName()
    {
        return 'ReconInvoiceType';
    }
}
