<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for base64BinaryData StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:base64BinaryData
 * @subpackage Structs
 */
class Base64BinaryData extends AbstractStructBase
{
    /**
     * The Value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Value;
    /**
     * The contentType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $contentType;
    /**
     * Constructor method for base64BinaryData
     * @uses Base64BinaryData::setValue()
     * @uses Base64BinaryData::setContentType()
     * @param string $value
     * @param string $contentType
     */
    public function __construct($value = null, $contentType = null)
    {
        $this
            ->setValue($value)
            ->setContentType($contentType);
    }
    /**
     * Get Value value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getValue()
    {
        return isset($this->Value) ? $this->Value : null;
    }
    /**
     * Set Value value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $value
     * @return Base64BinaryData
     */
    public function setValue($value = null)
    {
        if (is_null($value) || (is_array($value) && empty($value))) {
            unset($this->Value);
        } else {
            $this->Value = $value;
        }
        return $this;
    }
    /**
     * Get contentType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getContentType()
    {
        return isset($this->contentType) ? $this->contentType : null;
    }
    /**
     * Set contentType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $contentType
     * @return Base64BinaryData
     */
    public function setContentType($contentType = null)
    {
        if (is_null($contentType) || (is_array($contentType) && empty($contentType))) {
            unset($this->contentType);
        } else {
            $this->contentType = $contentType;
        }
        return $this;
    }
}
