<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ServiceVersionResult' => 'ServiceVersionResult',
            'ArrayOfstring' => 'ArrayOfstring',
            'DiagnosticParameter' => 'DiagnosticParameter',
            'ArrayOfDiagnosticResult' => 'ArrayOfDiagnosticResult',
            'DiagnosticResult' => 'DiagnosticResult',
            'DiagnosticException' => 'DiagnosticException',
            'ArrayOfDiagnosticParameter' => 'ArrayOfDiagnosticParameter',
            'LoginType' => 'LoginType',
            'DocumentType' => 'DocumentType',
            'base64BinaryData' => 'Base64BinaryData',
            'ElementType' => 'ElementType',
            'eFaturaWebService.ResultType' => 'EFaturaWebService_ResultType',
            'DocumentStatusType' => 'DocumentStatusType',
            'ArrayOfDocument' => 'ArrayOfDocument',
            'Document' => 'Document',
            'ArrayOfGibUserType' => 'ArrayOfGibUserType',
            'GibUserType' => 'GibUserType',
            'ArrayOfGibUserInfoType' => 'ArrayOfGibUserInfoType',
            'GibUserInfoType' => 'GibUserInfoType',
            'ArrayOfReconInvoiceType' => 'ArrayOfReconInvoiceType',
            'ReconInvoiceType' => 'ReconInvoiceType',
            'ArrayOfDocumentStatusBatchType' => 'ArrayOfDocumentStatusBatchType',
            'DocumentStatusBatchType' => 'DocumentStatusBatchType',
            'ArrayOfMailStatusResult' => 'ArrayOfMailStatusResult',
            'MailStatusResult' => 'MailStatusResult',
            'ArrayOfMailStatusDetail' => 'ArrayOfMailStatusDetail',
            'MailStatusDetail' => 'MailStatusDetail',
            'GetVersions' => 'GetVersions',
            'GetVersionsResponse' => 'GetVersionsResponse',
            'GetDiagnosisResult' => 'GetDiagnosisResult',
            'GetDiagnosisResultResponse' => 'GetDiagnosisResultResponse',
            'Ping' => 'Ping',
            'PingResponse' => 'PingResponse',
            'ALive' => 'ALive',
            'ALiveResponse' => 'ALiveResponse',
            'Login' => 'Login',
            'LoginResponse' => 'LoginResponse',
            'Logout' => 'Logout',
            'LogoutResponse' => 'LogoutResponse',
            'sendEnvelope' => 'SendEnvelope',
            'sendEnvelopeResponse' => 'SendEnvelopeResponse',
            'sendInvoice' => 'SendInvoice',
            'sendInvoiceResponse' => 'SendInvoiceResponse',
            'sendApplicationResponse' => 'SendApplicationResponse',
            'sendApplicationResponseResponse' => 'SendApplicationResponseResponse',
            'sendEnvelopeEx' => 'SendEnvelopeEx',
            'sendEnvelopeExResponse' => 'SendEnvelopeExResponse',
            'sendInvoiceEx' => 'SendInvoiceEx',
            'sendInvoiceExResponse' => 'SendInvoiceExResponse',
            'sendSignedInvoice' => 'SendSignedInvoice',
            'sendSignedInvoiceResponse' => 'SendSignedInvoiceResponse',
            'sendApplicationResponseEx' => 'SendApplicationResponseEx',
            'sendApplicationResponseExResponse' => 'SendApplicationResponseExResponse',
            'sendEArchiveDocument' => 'SendEArchiveDocument',
            'sendEArchiveDocumentResponse' => 'SendEArchiveDocumentResponse',
            'receiveDocument' => 'ReceiveDocument',
            'receiveDocumentResponse' => 'ReceiveDocumentResponse',
            'receiveDone' => 'ReceiveDone',
            'receiveDoneResponse' => 'ReceiveDoneResponse',
            'receiveInvoice' => 'ReceiveInvoice',
            'receiveInvoiceResponse' => 'ReceiveInvoiceResponse',
            'receiveInvoiceDone' => 'ReceiveInvoiceDone',
            'receiveInvoiceDoneResponse' => 'ReceiveInvoiceDoneResponse',
            'receiveApplicationResponse' => 'ReceiveApplicationResponse',
            'receiveApplicationResponseResponse' => 'ReceiveApplicationResponseResponse',
            'receiveApplicationResponseDone' => 'ReceiveApplicationResponseDone',
            'receiveApplicationResponseDoneResponse' => 'ReceiveApplicationResponseDoneResponse',
            'getApplicationResponse' => 'GetApplicationResponse',
            'getApplicationResponseResponse' => 'GetApplicationResponseResponse',
            'getInvoiceStatus' => 'GetInvoiceStatus',
            'getInvoiceStatusResponse' => 'GetInvoiceStatusResponse',
            'getAppRespStatus' => 'GetAppRespStatus',
            'getAppRespStatusResponse' => 'GetAppRespStatusResponse',
            'getEnvelopeList' => 'GetEnvelopeList',
            'getEnvelopeListResponse' => 'GetEnvelopeListResponse',
            'getEnvelope' => 'GetEnvelope',
            'getEnvelopeResponse' => 'GetEnvelopeResponse',
            'getInvoiceList' => 'GetInvoiceList',
            'getInvoiceListResponse' => 'GetInvoiceListResponse',
            'getInvoice' => 'GetInvoice',
            'getInvoiceResponse' => 'GetInvoiceResponse',
            'getUserList' => 'GetUserList',
            'getUserListResponse' => 'GetUserListResponse',
            'getUserListNew' => 'GetUserListNew',
            'getUserListNewResponse' => 'GetUserListNewResponse',
            'getApprovalFlowList' => 'GetApprovalFlowList',
            'getApprovalFlowListResponse' => 'GetApprovalFlowListResponse',
            'setApprovalFlowId' => 'SetApprovalFlowId',
            'setApprovalFlowIdResponse' => 'SetApprovalFlowIdResponse',
            'getApprovalFlowRes' => 'GetApprovalFlowRes',
            'getApprovalFlowResResponse' => 'GetApprovalFlowResResponse',
            'getDocumentStatus' => 'GetDocumentStatus',
            'getDocumentStatusResponse' => 'GetDocumentStatusResponse',
            'getDocumentStatusEx' => 'GetDocumentStatusEx',
            'getDocumentStatusExResponse' => 'GetDocumentStatusExResponse',
            'getEArchiveXslt' => 'GetEArchiveXslt',
            'getEArchiveXsltResponse' => 'GetEArchiveXsltResponse',
            'getInvoiceApplicationResponse' => 'GetInvoiceApplicationResponse',
            'getInvoiceApplicationResponseResponse' => 'GetInvoiceApplicationResponseResponse',
            'getInvoiceResponseData' => 'GetInvoiceResponseData',
            'getInvoiceResponseDataResponse' => 'GetInvoiceResponseDataResponse',
            'setApplicationResponseOption' => 'SetApplicationResponseOption',
            'setApplicationResponseOptionResponse' => 'SetApplicationResponseOptionResponse',
            'getEArchiveInvoicePdfData' => 'GetEArchiveInvoicePdfData',
            'getEArchiveInvoicePdfDataResponse' => 'GetEArchiveInvoicePdfDataResponse',
            'getDocumentData' => 'GetDocumentData',
            'getDocumentDataResponse' => 'GetDocumentDataResponse',
            'getReconciliationList' => 'GetReconciliationList',
            'getReconciliationListResponse' => 'GetReconciliationListResponse',
            'sendReconciliationReport' => 'SendReconciliationReport',
            'sendReconciliationReportResponse' => 'SendReconciliationReportResponse',
            'createElementId' => 'CreateElementId',
            'createElementIdResponse' => 'CreateElementIdResponse',
            'cancelEArchiveInvoice' => 'CancelEArchiveInvoice',
            'cancelEArchiveInvoiceResponse' => 'CancelEArchiveInvoiceResponse',
            'SendEArchiveListForReconcilition' => 'SendEArchiveListForReconcilition',
            'SendEArchiveListForReconcilitionResponse' => 'SendEArchiveListForReconcilitionResponse',
            'SendDocument' => 'SendDocument',
            'SendDocumentResponse' => 'SendDocumentResponse',
            'GetDocument' => 'GetDocument',
            'GetDocumentResponse' => 'GetDocumentResponse',
            'GetDocumentDone' => 'GetDocumentDone',
            'GetDocumentDoneResponse' => 'GetDocumentDoneResponse',
            'GetDocumentStatus' => 'GetDocumentStatus_1',
            'GetDocumentStatusResponse' => 'GetDocumentStatusResponse_1',
            'GetDocumentStatusBatch' => 'GetDocumentStatusBatch',
            'GetDocumentStatusBatchResponse' => 'GetDocumentStatusBatchResponse',
            'GetDocumentData' => 'GetDocumentData_1',
            'GetDocumentDataResponse' => 'GetDocumentDataResponse_1',
            'GetDocumentList' => 'GetDocumentList',
            'GetDocumentListResponse' => 'GetDocumentListResponse',
            'GetValidateGIBUser' => 'GetValidateGIBUser',
            'GetValidateGIBUserResponse' => 'GetValidateGIBUserResponse',
            'CheckGibUser' => 'CheckGibUser',
            'CheckGibUserResponse' => 'CheckGibUserResponse',
            'GetMailStatus' => 'GetMailStatus',
            'GetMailStatusResponse' => 'GetMailStatusResponse',
            'Get2FACode' => 'Get2FACode',
            'Get2FACodeResponse' => 'Get2FACodeResponse',
            'Get5K30KCancelObjectionStatus' => 'Get5K30KCancelObjectionStatus',
            'Get5K30KCancelObjectionStatusResponse' => 'Get5K30KCancelObjectionStatusResponse',
        );
    }
}
