<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for createElementId StructType
 * @subpackage Structs
 */
class CreateElementId extends AbstractStructBase
{
    /**
     * The sessionID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $sessionID;
    /**
     * The year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $year;
    /**
     * The invoicePrefix
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $invoicePrefix;
    /**
     * The docType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $docType;
    /**
     * Constructor method for createElementId
     * @uses CreateElementId::setSessionID()
     * @uses CreateElementId::setYear()
     * @uses CreateElementId::setInvoicePrefix()
     * @uses CreateElementId::setDocType()
     * @param string $sessionID
     * @param string $year
     * @param string $invoicePrefix
     * @param string $docType
     */
    public function __construct($sessionID = null, $year = null, $invoicePrefix = null, $docType = null)
    {
        $this
            ->setSessionID($sessionID)
            ->setYear($year)
            ->setInvoicePrefix($invoicePrefix)
            ->setDocType($docType);
    }
    /**
     * Get sessionID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSessionID()
    {
        return isset($this->sessionID) ? $this->sessionID : null;
    }
    /**
     * Set sessionID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $sessionID
     * @return CreateElementId
     */
    public function setSessionID($sessionID = null)
    {
        if (is_null($sessionID) || (is_array($sessionID) && empty($sessionID))) {
            unset($this->sessionID);
        } else {
            $this->sessionID = $sessionID;
        }
        return $this;
    }
    /**
     * Get year value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getYear()
    {
        return isset($this->year) ? $this->year : null;
    }
    /**
     * Set year value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $year
     * @return CreateElementId
     */
    public function setYear($year = null)
    {
        if (is_null($year) || (is_array($year) && empty($year))) {
            unset($this->year);
        } else {
            $this->year = $year;
        }
        return $this;
    }
    /**
     * Get invoicePrefix value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getInvoicePrefix()
    {
        return isset($this->invoicePrefix) ? $this->invoicePrefix : null;
    }
    /**
     * Set invoicePrefix value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $invoicePrefix
     * @return CreateElementId
     */
    public function setInvoicePrefix($invoicePrefix = null)
    {
        if (is_null($invoicePrefix) || (is_array($invoicePrefix) && empty($invoicePrefix))) {
            unset($this->invoicePrefix);
        } else {
            $this->invoicePrefix = $invoicePrefix;
        }
        return $this;
    }
    /**
     * Get docType value
     * @return string|null
     */
    public function getDocType()
    {
        return $this->docType;
    }
    /**
     * Set docType value
     * @param string $docType
     * @return CreateElementId
     */
    public function setDocType($docType = null)
    {
        $this->docType = $docType;
        return $this;
    }
}
