<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocumentType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:DocumentType
 * @subpackage Structs
 */
class DocumentType extends AbstractStructBase
{
    /**
     * The binaryData
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var Base64BinaryData
     */
    public $binaryData;
    /**
     * The currentDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $currentDate;
    /**
     * The fileName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $fileName;
    /**
     * The hash
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $hash;
    /**
     * Constructor method for DocumentType
     * @uses DocumentType::setBinaryData()
     * @uses DocumentType::setCurrentDate()
     * @uses DocumentType::setFileName()
     * @uses DocumentType::setHash()
     * @param Base64BinaryData $binaryData
     * @param string $currentDate
     * @param string $fileName
     * @param string $hash
     */
    public function __construct(Base64BinaryData $binaryData = null, $currentDate = null, $fileName = null, $hash = null)
    {
        $this
            ->setBinaryData($binaryData)
            ->setCurrentDate($currentDate)
            ->setFileName($fileName)
            ->setHash($hash);
    }
    /**
     * Get binaryData value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return Base64BinaryData|null
     */
    public function getBinaryData()
    {
        return isset($this->binaryData) ? $this->binaryData : null;
    }
    /**
     * Set binaryData value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param Base64BinaryData $binaryData
     * @return DocumentType
     */
    public function setBinaryData(Base64BinaryData $binaryData = null)
    {
        if (is_null($binaryData) || (is_array($binaryData) && empty($binaryData))) {
            unset($this->binaryData);
        } else {
            $this->binaryData = $binaryData;
        }
        return $this;
    }
    /**
     * Get currentDate value
     * @return string|null
     */
    public function getCurrentDate()
    {
        return $this->currentDate;
    }
    /**
     * Set currentDate value
     * @param string $currentDate
     * @return DocumentType
     */
    public function setCurrentDate($currentDate = null)
    {
        $this->currentDate = $currentDate;
        return $this;
    }
    /**
     * Get fileName value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFileName()
    {
        return isset($this->fileName) ? $this->fileName : null;
    }
    /**
     * Set fileName value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $fileName
     * @return DocumentType
     */
    public function setFileName($fileName = null)
    {
        if (is_null($fileName) || (is_array($fileName) && empty($fileName))) {
            unset($this->fileName);
        } else {
            $this->fileName = $fileName;
        }
        return $this;
    }
    /**
     * Get hash value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getHash()
    {
        return isset($this->hash) ? $this->hash : null;
    }
    /**
     * Set hash value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $hash
     * @return DocumentType
     */
    public function setHash($hash = null)
    {
        if (is_null($hash) || (is_array($hash) && empty($hash))) {
            unset($this->hash);
        } else {
            $this->hash = $hash;
        }
        return $this;
    }
}
