<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ElementType StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ElementType
 * @subpackage Structs
 */
class ElementType extends AbstractStructBase
{
    /**
     * The binaryData
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var Base64BinaryData
     */
    public $binaryData;
    /**
     * The currentDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $currentDate;
    /**
     * The envelopeId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $envelopeId;
    /**
     * The fileName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $fileName;
    /**
     * The gbLabel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $gbLabel;
    /**
     * The hash
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $hash;
    /**
     * The pkLabel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $pkLabel;
    /**
     * Constructor method for ElementType
     * @uses ElementType::setBinaryData()
     * @uses ElementType::setCurrentDate()
     * @uses ElementType::setEnvelopeId()
     * @uses ElementType::setFileName()
     * @uses ElementType::setGbLabel()
     * @uses ElementType::setHash()
     * @uses ElementType::setPkLabel()
     * @param Base64BinaryData $binaryData
     * @param string $currentDate
     * @param string $envelopeId
     * @param string $fileName
     * @param string $gbLabel
     * @param string $hash
     * @param string $pkLabel
     */
    public function __construct(Base64BinaryData $binaryData = null, $currentDate = null, $envelopeId = null, $fileName = null, $gbLabel = null, $hash = null, $pkLabel = null)
    {
        $this
            ->setBinaryData($binaryData)
            ->setCurrentDate($currentDate)
            ->setEnvelopeId($envelopeId)
            ->setFileName($fileName)
            ->setGbLabel($gbLabel)
            ->setHash($hash)
            ->setPkLabel($pkLabel);
    }
    /**
     * Get binaryData value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return Base64BinaryData|null
     */
    public function getBinaryData()
    {
        return isset($this->binaryData) ? $this->binaryData : null;
    }
    /**
     * Set binaryData value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param Base64BinaryData $binaryData
     * @return ElementType
     */
    public function setBinaryData(Base64BinaryData $binaryData = null)
    {
        if (is_null($binaryData) || (is_array($binaryData) && empty($binaryData))) {
            unset($this->binaryData);
        } else {
            $this->binaryData = $binaryData;
        }
        return $this;
    }
    /**
     * Get currentDate value
     * @return string|null
     */
    public function getCurrentDate()
    {
        return $this->currentDate;
    }
    /**
     * Set currentDate value
     * @param string $currentDate
     * @return ElementType
     */
    public function setCurrentDate($currentDate = null)
    {
        $this->currentDate = $currentDate;
        return $this;
    }
    /**
     * Get envelopeId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEnvelopeId()
    {
        return isset($this->envelopeId) ? $this->envelopeId : null;
    }
    /**
     * Set envelopeId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $envelopeId
     * @return ElementType
     */
    public function setEnvelopeId($envelopeId = null)
    {
        if (is_null($envelopeId) || (is_array($envelopeId) && empty($envelopeId))) {
            unset($this->envelopeId);
        } else {
            $this->envelopeId = $envelopeId;
        }
        return $this;
    }
    /**
     * Get fileName value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFileName()
    {
        return isset($this->fileName) ? $this->fileName : null;
    }
    /**
     * Set fileName value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $fileName
     * @return ElementType
     */
    public function setFileName($fileName = null)
    {
        if (is_null($fileName) || (is_array($fileName) && empty($fileName))) {
            unset($this->fileName);
        } else {
            $this->fileName = $fileName;
        }
        return $this;
    }
    /**
     * Get gbLabel value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getGbLabel()
    {
        return isset($this->gbLabel) ? $this->gbLabel : null;
    }
    /**
     * Set gbLabel value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $gbLabel
     * @return ElementType
     */
    public function setGbLabel($gbLabel = null)
    {
        if (is_null($gbLabel) || (is_array($gbLabel) && empty($gbLabel))) {
            unset($this->gbLabel);
        } else {
            $this->gbLabel = $gbLabel;
        }
        return $this;
    }
    /**
     * Get hash value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getHash()
    {
        return isset($this->hash) ? $this->hash : null;
    }
    /**
     * Set hash value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $hash
     * @return ElementType
     */
    public function setHash($hash = null)
    {
        if (is_null($hash) || (is_array($hash) && empty($hash))) {
            unset($this->hash);
        } else {
            $this->hash = $hash;
        }
        return $this;
    }
    /**
     * Get pkLabel value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPkLabel()
    {
        return isset($this->pkLabel) ? $this->pkLabel : null;
    }
    /**
     * Set pkLabel value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $pkLabel
     * @return ElementType
     */
    public function setPkLabel($pkLabel = null)
    {
        if (is_null($pkLabel) || (is_array($pkLabel) && empty($pkLabel))) {
            unset($this->pkLabel);
        } else {
            $this->pkLabel = $pkLabel;
        }
        return $this;
    }
}
