<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getDocumentData StructType
 * @subpackage Structs
 */
class GetDocumentData extends AbstractStructBase
{
    /**
     * The sessionID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $sessionID;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $uuid;
    /**
     * The docType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $docType;
    /**
     * The dataType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataType;
    /**
     * Constructor method for getDocumentData
     * @uses GetDocumentData::setSessionID()
     * @uses GetDocumentData::setUuid()
     * @uses GetDocumentData::setDocType()
     * @uses GetDocumentData::setDataType()
     * @param string $sessionID
     * @param string $uuid
     * @param string $docType
     * @param string $dataType
     */
    public function __construct($sessionID = null, $uuid = null, $docType = null, $dataType = null)
    {
        $this
            ->setSessionID($sessionID)
            ->setUuid($uuid)
            ->setDocType($docType)
            ->setDataType($dataType);
    }
    /**
     * Get sessionID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSessionID()
    {
        return isset($this->sessionID) ? $this->sessionID : null;
    }
    /**
     * Set sessionID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $sessionID
     * @return GetDocumentData
     */
    public function setSessionID($sessionID = null)
    {
        if (is_null($sessionID) || (is_array($sessionID) && empty($sessionID))) {
            unset($this->sessionID);
        } else {
            $this->sessionID = $sessionID;
        }
        return $this;
    }
    /**
     * Get uuid value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uuid
     * @return GetDocumentData
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get docType value
     * @return string|null
     */
    public function getDocType()
    {
        return $this->docType;
    }
    /**
     * Set docType value
     * @param string $docType
     * @return GetDocumentData
     */
    public function setDocType($docType = null)
    {
        $this->docType = $docType;
        return $this;
    }
    /**
     * Get dataType value
     * @return string|null
     */
    public function getDataType()
    {
        return $this->dataType;
    }
    /**
     * Set dataType value
     * @param string $dataType
     * @return GetDocumentData
     */
    public function setDataType($dataType = null)
    {
        $this->dataType = $dataType;
        return $this;
    }
}
