<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MailStatusDetail StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:MailStatusDetail
 * @subpackage Structs
 */
class MailStatusDetail extends AbstractStructBase
{
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Description;
    /**
     * The EMail
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EMail;
    /**
     * The Status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $Status;
    /**
     * Constructor method for MailStatusDetail
     * @uses MailStatusDetail::setDescription()
     * @uses MailStatusDetail::setEMail()
     * @uses MailStatusDetail::setStatus()
     * @param string $description
     * @param string $eMail
     * @param int $status
     */
    public function __construct($description = null, $eMail = null, $status = null)
    {
        $this
            ->setDescription($description)
            ->setEMail($eMail)
            ->setStatus($status);
    }
    /**
     * Get Description value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDescription()
    {
        return isset($this->Description) ? $this->Description : null;
    }
    /**
     * Set Description value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $description
     * @return MailStatusDetail
     */
    public function setDescription($description = null)
    {
        if (is_null($description) || (is_array($description) && empty($description))) {
            unset($this->Description);
        } else {
            $this->Description = $description;
        }
        return $this;
    }
    /**
     * Get EMail value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEMail()
    {
        return isset($this->EMail) ? $this->EMail : null;
    }
    /**
     * Set EMail value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $eMail
     * @return MailStatusDetail
     */
    public function setEMail($eMail = null)
    {
        if (is_null($eMail) || (is_array($eMail) && empty($eMail))) {
            unset($this->EMail);
        } else {
            $this->EMail = $eMail;
        }
        return $this;
    }
    /**
     * Get Status value
     * @return int|null
     */
    public function getStatus()
    {
        return $this->Status;
    }
    /**
     * Set Status value
     * @param int $status
     * @return MailStatusDetail
     */
    public function setStatus($status = null)
    {
        $this->Status = $status;
        return $this;
    }
}
