<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MailStatusResult StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:MailStatusResult
 * @subpackage Structs
 */
class MailStatusResult extends AbstractStructBase
{
    /**
     * The MailStatusDetailList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var ArrayOfMailStatusDetail
     */
    public $MailStatusDetailList;
    /**
     * The Uuid
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Uuid;
    /**
     * Constructor method for MailStatusResult
     * @uses MailStatusResult::setMailStatusDetailList()
     * @uses MailStatusResult::setUuid()
     * @param ArrayOfMailStatusDetail $mailStatusDetailList
     * @param string $uuid
     */
    public function __construct(ArrayOfMailStatusDetail $mailStatusDetailList = null, $uuid = null)
    {
        $this
            ->setMailStatusDetailList($mailStatusDetailList)
            ->setUuid($uuid);
    }
    /**
     * Get MailStatusDetailList value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return ArrayOfMailStatusDetail|null
     */
    public function getMailStatusDetailList()
    {
        return isset($this->MailStatusDetailList) ? $this->MailStatusDetailList : null;
    }
    /**
     * Set MailStatusDetailList value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param ArrayOfMailStatusDetail $mailStatusDetailList
     * @return MailStatusResult
     */
    public function setMailStatusDetailList(ArrayOfMailStatusDetail $mailStatusDetailList = null)
    {
        if (is_null($mailStatusDetailList) || (is_array($mailStatusDetailList) && empty($mailStatusDetailList))) {
            unset($this->MailStatusDetailList);
        } else {
            $this->MailStatusDetailList = $mailStatusDetailList;
        }
        return $this;
    }
    /**
     * Get Uuid value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->Uuid) ? $this->Uuid : null;
    }
    /**
     * Set Uuid value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uuid
     * @return MailStatusResult
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->Uuid);
        } else {
            $this->Uuid = $uuid;
        }
        return $this;
    }
}
