<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for receiveDocumentResponse StructType
 * @subpackage Structs
 */
class ReceiveDocumentResponse extends AbstractStructBase
{
    /**
     * The receiveDocumentResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $receiveDocumentResult;
    /**
     * The document
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var DocumentType
     */
    public $document;
    /**
     * Constructor method for receiveDocumentResponse
     * @uses ReceiveDocumentResponse::setReceiveDocumentResult()
     * @uses ReceiveDocumentResponse::setDocument()
     * @param bool $receiveDocumentResult
     * @param DocumentType $document
     */
    public function __construct($receiveDocumentResult = null, DocumentType $document = null)
    {
        $this
            ->setReceiveDocumentResult($receiveDocumentResult)
            ->setDocument($document);
    }
    /**
     * Get receiveDocumentResult value
     * @return bool|null
     */
    public function getReceiveDocumentResult()
    {
        return $this->receiveDocumentResult;
    }
    /**
     * Set receiveDocumentResult value
     * @param bool $receiveDocumentResult
     * @return ReceiveDocumentResponse
     */
    public function setReceiveDocumentResult($receiveDocumentResult = null)
    {
        $this->receiveDocumentResult = $receiveDocumentResult;
        return $this;
    }
    /**
     * Get document value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return DocumentType|null
     */
    public function getDocument()
    {
        return isset($this->document) ? $this->document : null;
    }
    /**
     * Set document value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param DocumentType $document
     * @return ReceiveDocumentResponse
     */
    public function setDocument(DocumentType $document = null)
    {
        if (is_null($document) || (is_array($document) && empty($document))) {
            unset($this->document);
        } else {
            $this->document = $document;
        }
        return $this;
    }
}
