<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sendEnvelope StructType
 * @subpackage Structs
 */
class SendEnvelope extends AbstractStructBase
{
    /**
     * The envelope
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var DocumentType
     */
    public $envelope;
    /**
     * The sessionID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $sessionID;
    /**
     * Constructor method for sendEnvelope
     * @uses SendEnvelope::setEnvelope()
     * @uses SendEnvelope::setSessionID()
     * @param DocumentType $envelope
     * @param string $sessionID
     */
    public function __construct(DocumentType $envelope = null, $sessionID = null)
    {
        $this
            ->setEnvelope($envelope)
            ->setSessionID($sessionID);
    }
    /**
     * Get envelope value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return DocumentType|null
     */
    public function getEnvelope()
    {
        return isset($this->envelope) ? $this->envelope : null;
    }
    /**
     * Set envelope value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param DocumentType $envelope
     * @return SendEnvelope
     */
    public function setEnvelope(DocumentType $envelope = null)
    {
        if (is_null($envelope) || (is_array($envelope) && empty($envelope))) {
            unset($this->envelope);
        } else {
            $this->envelope = $envelope;
        }
        return $this;
    }
    /**
     * Get sessionID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSessionID()
    {
        return isset($this->sessionID) ? $this->sessionID : null;
    }
    /**
     * Set sessionID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $sessionID
     * @return SendEnvelope
     */
    public function setSessionID($sessionID = null)
    {
        if (is_null($sessionID) || (is_array($sessionID) && empty($sessionID))) {
            unset($this->sessionID);
        } else {
            $this->sessionID = $sessionID;
        }
        return $this;
    }
}
