<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sendSignedInvoice StructType
 * @subpackage Structs
 */
class SendSignedInvoice extends AbstractStructBase
{
    /**
     * The invoice
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var DocumentType
     */
    public $invoice;
    /**
     * The alias
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $alias;
    /**
     * The sessionID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $sessionID;
    /**
     * Constructor method for sendSignedInvoice
     * @uses SendSignedInvoice::setInvoice()
     * @uses SendSignedInvoice::setAlias()
     * @uses SendSignedInvoice::setSessionID()
     * @param DocumentType $invoice
     * @param string $alias
     * @param string $sessionID
     */
    public function __construct(DocumentType $invoice = null, $alias = null, $sessionID = null)
    {
        $this
            ->setInvoice($invoice)
            ->setAlias($alias)
            ->setSessionID($sessionID);
    }
    /**
     * Get invoice value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return DocumentType|null
     */
    public function getInvoice()
    {
        return isset($this->invoice) ? $this->invoice : null;
    }
    /**
     * Set invoice value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param DocumentType $invoice
     * @return SendSignedInvoice
     */
    public function setInvoice(DocumentType $invoice = null)
    {
        if (is_null($invoice) || (is_array($invoice) && empty($invoice))) {
            unset($this->invoice);
        } else {
            $this->invoice = $invoice;
        }
        return $this;
    }
    /**
     * Get alias value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAlias()
    {
        return isset($this->alias) ? $this->alias : null;
    }
    /**
     * Set alias value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $alias
     * @return SendSignedInvoice
     */
    public function setAlias($alias = null)
    {
        if (is_null($alias) || (is_array($alias) && empty($alias))) {
            unset($this->alias);
        } else {
            $this->alias = $alias;
        }
        return $this;
    }
    /**
     * Get sessionID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSessionID()
    {
        return isset($this->sessionID) ? $this->sessionID : null;
    }
    /**
     * Set sessionID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $sessionID
     * @return SendSignedInvoice
     */
    public function setSessionID($sessionID = null)
    {
        if (is_null($sessionID) || (is_array($sessionID) && empty($sessionID))) {
            unset($this->sessionID);
        } else {
            $this->sessionID = $sessionID;
        }
        return $this;
    }
}
