<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://pb-demo.elogo.com.tr/PostBoxService.svc?wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://pb-demo.elogo.com.tr/PostBoxService.svc?wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Service ServiceType
 */
$service = new Service($options);
/**
 * Sample call for GetVersions operation/method
 */
if ($service->GetVersions(new GetVersions()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for GetDiagnosisResult operation/method
 */
if ($service->GetDiagnosisResult(new GetDiagnosisResult()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for Ping operation/method
 */
if ($service->Ping(new Ping()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for ALive operation/method
 */
if ($service->ALive(new ALive()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for Login operation/method
 */
if ($service->Login(new Login()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for Logout operation/method
 */
if ($service->Logout(new Logout()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for sendEnvelope operation/method
 */
if ($service->sendEnvelope(new SendEnvelope()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for sendInvoice operation/method
 */
if ($service->sendInvoice(new SendInvoice()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for sendApplicationResponse operation/method
 */
if ($service->sendApplicationResponse(new SendApplicationResponse()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for sendEnvelopeEx operation/method
 */
if ($service->sendEnvelopeEx(new SendEnvelopeEx()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for sendInvoiceEx operation/method
 */
if ($service->sendInvoiceEx(new SendInvoiceEx()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for sendSignedInvoice operation/method
 */
if ($service->sendSignedInvoice(new SendSignedInvoice()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for sendApplicationResponseEx operation/method
 */
if ($service->sendApplicationResponseEx(new SendApplicationResponseEx()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for sendEArchiveDocument operation/method
 */
if ($service->sendEArchiveDocument(new SendEArchiveDocument()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for receiveDocument operation/method
 */
if ($service->receiveDocument(new ReceiveDocument()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for receiveDone operation/method
 */
if ($service->receiveDone(new ReceiveDone()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for receiveInvoice operation/method
 */
if ($service->receiveInvoice(new ReceiveInvoice()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for receiveInvoiceDone operation/method
 */
if ($service->receiveInvoiceDone(new ReceiveInvoiceDone()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for receiveApplicationResponse operation/method
 */
if ($service->receiveApplicationResponse(new ReceiveApplicationResponse()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for receiveApplicationResponseDone operation/method
 */
if ($service->receiveApplicationResponseDone(new ReceiveApplicationResponseDone()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getApplicationResponse operation/method
 */
if ($service->getApplicationResponse(new GetApplicationResponse()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getInvoiceStatus operation/method
 */
if ($service->getInvoiceStatus(new GetInvoiceStatus()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getAppRespStatus operation/method
 */
if ($service->getAppRespStatus(new GetAppRespStatus()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getEnvelopeList operation/method
 */
if ($service->getEnvelopeList(new GetEnvelopeList()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getEnvelope operation/method
 */
if ($service->getEnvelope(new GetEnvelope()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getInvoiceList operation/method
 */
if ($service->getInvoiceList(new GetInvoiceList()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getInvoice operation/method
 */
if ($service->getInvoice(new GetInvoice()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getUserList operation/method
 */
if ($service->getUserList(new GetUserList()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getUserListNew operation/method
 */
if ($service->getUserListNew(new GetUserListNew()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getApprovalFlowList operation/method
 */
if ($service->getApprovalFlowList(new GetApprovalFlowList()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for setApprovalFlowId operation/method
 */
if ($service->setApprovalFlowId(new SetApprovalFlowId()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getApprovalFlowRes operation/method
 */
if ($service->getApprovalFlowRes(new GetApprovalFlowRes()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getDocumentStatus operation/method
 */
if ($service->getDocumentStatus(new GetDocumentStatus()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for GetDocumentStatus_1 operation/method
 */
if ($service->GetDocumentStatus_1(new GetDocumentStatus_1()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getDocumentStatusEx operation/method
 */
if ($service->getDocumentStatusEx(new GetDocumentStatusEx()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getEArchiveXslt operation/method
 */
if ($service->getEArchiveXslt(new GetEArchiveXslt()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getInvoiceApplicationResponse operation/method
 */
if ($service->getInvoiceApplicationResponse(new GetInvoiceApplicationResponse()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getInvoiceResponseData operation/method
 */
if ($service->getInvoiceResponseData(new GetInvoiceResponseData()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for setApplicationResponseOption operation/method
 */
if ($service->setApplicationResponseOption(new SetApplicationResponseOption()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getEArchiveInvoicePdfData operation/method
 */
if ($service->getEArchiveInvoicePdfData(new GetEArchiveInvoicePdfData()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getDocumentData operation/method
 */
if ($service->getDocumentData(new GetDocumentData()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for GetDocumentData_1 operation/method
 */
if ($service->GetDocumentData_1(new GetDocumentData_1()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for getReconciliationList operation/method
 */
if ($service->getReconciliationList(new GetReconciliationList()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for sendReconciliationReport operation/method
 */
if ($service->sendReconciliationReport(new SendReconciliationReport()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for createElementId operation/method
 */
if ($service->createElementId(new CreateElementId()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for cancelEArchiveInvoice operation/method
 */
if ($service->cancelEArchiveInvoice(new CancelEArchiveInvoice()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for SendEArchiveListForReconcilition operation/method
 */
if ($service->SendEArchiveListForReconcilition(new SendEArchiveListForReconcilition()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for SendDocument operation/method
 */
if ($service->SendDocument(new SendDocument()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for GetDocument operation/method
 */
if ($service->GetDocument(new GetDocument()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for GetDocumentDone operation/method
 */
if ($service->GetDocumentDone(new GetDocumentDone()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for GetDocumentStatusBatch operation/method
 */
if ($service->GetDocumentStatusBatch(new GetDocumentStatusBatch()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for GetDocumentList operation/method
 */
if ($service->GetDocumentList(new GetDocumentList()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for GetValidateGIBUser operation/method
 */
if ($service->GetValidateGIBUser(new GetValidateGIBUser()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for CheckGibUser operation/method
 */
if ($service->CheckGibUser(new CheckGibUser()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for GetMailStatus operation/method
 */
if ($service->GetMailStatus(new GetMailStatus()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for Get2FACode operation/method
 */
if ($service->Get2FACode(new Get2FACode()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
/**
 * Sample call for Get5K30KCancelObjectionStatus operation/method
 */
if ($service->Get5K30KCancelObjectionStatus(new Get5K30KCancelObjectionStatus()) !== false) {
    print_r($service->getResult());
} else {
    print_r($service->getLastError());
}
